<?
if (!defined('webid')) {
    exit();
}
if (!isset($_SESSION["username"]) && !isset($_SESSION["password"])) {
    header("Location: /");
	exit();
}?>
<h3 style="border-bottom: 1px dotted #cccccc; color: #1c62b9; text-shadow: 0 1px 0 #fafafa;">Сёрфинг - реклама на <?=$sitename ?> <? if(isset($_GET['edit'])) echo '<span style="font-weight:normal; color:#212121; font-size:10px; text-shadow:none">(<font color="#800000">Редактирование</font>)</span>'; ?></h3>
<? if(isset($_GET['edit'])) {
?>
Здесь вы можете изменить рекламный текст и прочие параметры рекламной площадки. В случае изменения заголовка, описания или url-адреса, площадка будет направлена на проверку. После прохождения проверки, реклама будет снова доступна к запуску.<br /><br />
<?} else {
?>
Доступная, эффективная и недорогая реклама на <b><?=$sitename ?></b> — прекрасная возможность привлечения целевой аудитории на ваш интернет-ресурс. Тысячи потенциальных потребителей смогут в полной мере ознакомиться с вашей продукцией или услугами. Серфинг гарантирует уникальные посещения рекламируемого сайта в течение 24 часов.<br /><br />
<?
}
?>
<style type="text/css">
#error {
    color: #800000;
    text-align: center;
    padding: 5px 0;
    font-weight: bold;
}
</style>
<script type="text/javascript">
var serf_price10 = <?=$hits10 ?>;
var serf_price5 = <?=$hits5 ?>;
var serf_price = <?=$hits ?>;
var serf_price_timer = <?=$timer5 ?>;
var serf_price_move = <?=$obperehod ?>;
var serf_price_high = <?=$hldyn ?>;

$(document).ready(function(){
    $('#description, #texto, #url, .timeselect, .linkselect, .onselect').tipTip({defaultPosition:'left'});
})
function PlanChange(frm) {
    lprice = serf_price;
    lprice5 = serf_price5;
    lprice10 = serf_price10;
    if(frm.timer.value == 0) { lprice = serf_price; } else
    if (frm.timer.value == 1) { lprice += serf_price_timer; } else
    if (frm.timer.value == 2) { lprice += (serf_price_timer*2); } else
    if (frm.timer.value == 3) { lprice += (serf_price_timer*3); } else
    if (frm.timer.value == 4) { lprice += (serf_price_timer*4); } else
    if (frm.timer.value == 5) { lprice10; } else
    if (frm.timer.value == 6) { lprice5; }
    if (frm.highlight.value == 1) {
	    if(frm.timer.value == 5) { lprice10 += serf_price_high; } else
	    if(frm.timer.value == 6) { lprice5 += serf_price_high; } else
	    if(frm.timer.value == 4) { lprice += serf_price_high; } else
	    if(frm.timer.value == 3) { lprice += serf_price_high; } else
	    if(frm.timer.value == 2) { lprice += serf_price_high; } else
	    if(frm.timer.value == 1) { lprice += serf_price_high; } 
	    if(frm.timer.value == 0) { lprice += serf_price_high; } 
	}
    if (frm.obper.value == 1) {
	    if(frm.timer.value == 5) { lprice10 += serf_price_move; } else
	    if(frm.timer.value == 6) { lprice5 += serf_price_move; } else
	    if(frm.timer.value == 4) { lprice += serf_price_move; } else
	    if(frm.timer.value == 3) { lprice += serf_price_move; } else
	    if(frm.timer.value == 2) { lprice += serf_price_move; } else
	    if(frm.timer.value == 1) { lprice += serf_price_move; } 
	    if(frm.timer.value == 0) { lprice += serf_price_move; } 
	}
	if(frm.timer.value == 5) { $('#summa').html(number_format(lprice10, 3, '.', '')); } else
	if(frm.timer.value == 6) { $('#summa').html(number_format(lprice5, 3, '.', '')); } else
	if(frm.timer.value == 4) { $('#summa').html(number_format(lprice, 3, '.', '')); } else
	if(frm.timer.value == 3) { $('#summa').html(number_format(lprice, 3, '.', '')); } else
	if(frm.timer.value == 2) { $('#summa').html(number_format(lprice, 3, '.', '')); } else
	if(frm.timer.value == 1) { $('#summa').html(number_format(lprice, 3, '.', '')); } 
	if(frm.timer.value == 0) { $('#summa').html(number_format(lprice, 3, '.', '')); } 
}
    
function number_format(number, decimals, dec_point, thousands_sep) {
    var i, j, kw, kd, km;
    if (isNaN(decimals = Math.abs(decimals))) { decimals = 2; }
    if (dec_point == undefined) { dec_point = ","; }
    if (thousands_sep == undefined) { thousands_sep = "."; }
    i = parseInt(number = (+number || 0).toFixed(decimals)) + "";
    if ((j = i.length) > 3) { j = j % 3; } else { j = 0; }
    km = (j ? i.substr(0, j) + thousands_sep : "");
    kw = i.substr(j).replace(/(\d{3})(?=\d)/g, "$1" + thousands_sep);
    kd = (decimals ? dec_point + Math.abs(number - i).toFixed(decimals).replace(/-/, 0).slice(2) : "");
    return km + kw + kd;
}
</script>
<?php
if ($_GET['edit']) {
    $ident = intval($_GET['edit']);
    $sql = mysql_query("SELECT * FROM tb_ads WHERE paused=1 and fromus='$_SESSION[iduser]' and id='$ident'") or die(mysql_error());
    if(mysql_num_rows($sql) == 0) {
        echo '<div id="error">Перед редактированием необходимо приостановить рекламную кампанию<div>';
    } else {
        $res = mysql_fetch_assoc($sql);
        ?>
<script type="text/javascript">
function dynlinkup() {
    $.post('ajax.php?func=updyn',{
        id : <? echo htmlspecialchars($_GET['edit'])?>,
        description : $('#description').val(),
        texto : $('#texto').val(),
        url : $('#url').val(),
        timer : $('#timer').val(),
        highlight : $('#highlight').val(),
        obper : $('#obper').val()
    }, function(data){
        if (data == 1) {
            hax({url:'/mdyn', id:'flax'});
        } else {
            $('.open').fadeIn(500);
            $('#error').html(data);
            setTimeout(function(){
                $('.open').fadeOut(500);
            }, 2000);
        }
    });
    return false;
}
</script>
<form name="surforder" onsubmit="dynlinkup(); return false;">
<table class="otab" width="100%" border="0" cellpadding="0" cellspacing="1">
    <thead>
        <tr>
            <th colspan="2" style="padding: 5px; background: #ebebeb;"><span style="color: #212121; font-size: 12px; font-weight: bold; text-shadow: 0 1px 0 #f7f7f7; margin-right: 150px;">Форма для размещения рекламы в серфинг</span><span style="position: relative;"><input type="submit" name="save" class="big_btn" value="Сохранить" /></span></th>
        </tr>
    </thead>
    <tr class="open" style="display: none;">
        <td colspan="2" style="background: #ebebeb;"><div id="error"></div></td>
    </tr>
    <tr>
        <td class="lt" width="48%">Заголовок ссылки</td>
        <td class="rt"><input class="val" type="text" name="description" id="description" size="38" maxlength="55" value="<?=$res['description']; ?>" title="<b>Заголовок ссылки</b> - максимум 55 символов.<br />Заголовок должен быть коротким и понятным.<br />Соблюдайте грамматику. Небрежное написание оттолкнёт посетителей.<br /> Не пишите всё ЗАГЛАВНЫМИ БУКВАМИ, не ставьте множество однотипных<br />знаков типа: !!!!!! и т.д. После запятой правильно ставить знак пробела." /></td>
    </tr>
    <tr>
        <td class="lt">Краткое описание ссылки</td>
        <td class="rt"><input class="val" type="text" name="texto" id="texto" size="38" maxlength="55" value="<?=$res['texto']; ?>" title="<b>Краткое описание ссылки</b> - максимум 55 символов.<br />Заголовок должен быть коротким и понятным.<br />Соблюдайте грамматику. Небрежное написание оттолкнёт посетителей.<br /> Не пишите всё ЗАГЛАВНЫМИ БУКВАМИ, не ставьте множество однотипных<br />знаков типа: !!!!!! и т.д. После запятой правильно ставить знак пробела." /></td>
    </tr>
    <tr>
        <td class="lt">URL сайта (включая http://)</td>
        <td class="rt"><input class="val" type="text" name="url" id="url" size="38" maxlength="300" value="<? if(isset($_GET['edit'])) { echo $res['url']; }else{ echo "http://"; } ?>" title="<b>URL-адрес</b> ссылки должен начинаться с http:// или https://<br />и содержать не более 300 символов. Не используйте HTML-теги и Java-скрипты.<br />За попытки взлома системы, наказание - удаление аккаунта" /></td>
    </tr>
    <tr>
        <td class="lt">Время просмотра ссылки</td>
        <td class="rt"><select class="timeselect" id="timer" onchange="PlanChange(this.form); return false;" title="Стандартное время просмотра ссылки - 20 секунд. Можно увеличить<br />за дополнительную плату">
            <option value="6" <? if($res['timer']==6) echo "selected"; ?>>5 секунд&nbsp;&nbsp;(мини реклама)</option>
            <option value="5" <? if($res['timer']==5) echo "selected"; ?>>10 секунд&nbsp;&nbsp;(мини реклама)</option>
			<option value="0" <? if($res['timer']==0) echo "selected"; ?>>20 секунд</option>
            <option value="1" <? if($res['timer']==1) echo "selected"; ?>>30 секунд&nbsp;&nbsp;(+ <?=$timer5?> <?=$sitevalname ?>)</option>
            <option value="2" <? if($res['timer']==2) echo "selected"; ?>>40 секунд&nbsp;&nbsp;(+ <?=$timer5*2 ?> <?=$sitevalname ?>)</option>
            <option value="3" <? if($res['timer']==3) echo "selected"; ?>>50 секунд&nbsp;&nbsp;(+ <?=$timer5*3 ?> <?=$sitevalname ?>)</option>
            <option value="4" <? if($res['timer']==4) echo "selected"; ?>>60 секунд&nbsp;&nbsp;(+ <?=$timer5*4 ?> <?=$sitevalname ?>)</option>
            </select>
		</td>
    </tr>    
	<tr>
        <td class="lt" style="padding-top: 11px; padding-bottom: 11px;">Активное окно</td>
        <td class="rt">включено (беcплатно)</td>
    </tr>
    <tr>
        <td class="lt">Выделить ссылку</td>
        <td class="rt"><select class="linkselect" id="highlight" onchange="PlanChange(this.form); return false;" title="Ваша ссылка будет в верхней части списка и выделена особым цветом.<br />За дополнительную плату.">
            <option value="0" <? if($res['highlight']==0) echo "selected"; ?>>Нет</option>
            <option value="1" <? if($res['highlight']==1) echo "selected"; ?>>Да&nbsp;&nbsp;(+ <?=$hldyn ?> <?=$sitevalname ?>)</option>
            </select></td>
    </tr>
    <tr>
        <td class="lt">Последующий переход на сайт</td>
        <td class="rt"><select class="onselect" id="obper" onchange="PlanChange(this.form); return false;" title="После стандартного просмотра ссылки в серфинге производится прямой<br />переход на рекламируемый ресурс. За дополнительную плату.">
            <option value="0" <? if($res['obper']==0) echo "selected"; ?>>Нет</option>
            <option value="1" <? if($res['obper']==1) echo "selected"; ?>>Да&nbsp;&nbsp;(+ <?=$obperehod ?> <?=$sitevalname ?>)</option>
            </select></td>
    </tr>
    <tr>
        <td class="lt">Стоимость одного просмотра</td>
        <td class="rt"><span style='font-size: 16px;' id="summa"><?if($res['price']!='') { echo $res['price']; }else{ echo $hits; } ?></span> <?=$sitevalname ?></td>
    </tr>
</table>
</form>
        <?
    }
} else {
?> 
<script type="text/javascript">
function dynlink() {
    $.post('ajax.php?func=adddyn',{
        description : $('#description').val(),
        texto : $('#texto').val(),
        url : $('#url').val(),
        timer : $('#timer').val(),
        highlight : $('#highlight').val(),
        obper : $('#obper').val()
    }, function(data){
        if (data == 1) {
            hax({url:'/mdyn', id:'flax'});
        } else {
            $('.open').fadeIn(500);
            $('#error').html(data);
            setTimeout(function(){
                $('.open').fadeOut(500);
            }, 2000)
        }
    });
    return false;
}
</script>
<form name="surforder" onsubmit="dynlink(); return false;">
<table class="otab" width="100%" border="0" cellpadding="0" cellspacing="1">
    <thead>
        <tr>
            <th colspan="2" style="padding: 5px; background: #ebebeb;"><span style="color: #212121; font-size: 12px; font-weight: bold; text-shadow: 0 1px 0 #f7f7f7; margin-right: 150px;">Форма для размещения рекламы в серфинг</span><span style="position: relative;"><input type="submit" name="save" class="big_btn" value="Сохранить" /></span></th>
        </tr>
    </thead>
    <tr class="open" style="display: none;">
        <td colspan="2" style="background: #ebebeb;"><div id="error"></div></td>
    </tr>
    <tr>
        <td class="lt" width="48%">Заголовок ссылки</td>
        <td class="rt"><input class="val" type="text" name="description" id="description" size="38" maxlength="55" title="<b>Заголовок ссылки</b> - максимум 55 символов.<br />Заголовок должен быть коротким и понятным.<br />Соблюдайте грамматику. Небрежное написание оттолкнёт посетителей.<br /> Не пишите всё ЗАГЛАВНЫМИ БУКВАМИ, не ставьте множество однотипных<br />знаков типа: !!!!!! и т.д. После запятой правильно ставить знак пробела." /></td>
    </tr>
    <tr>
        <td class="lt">Краткое описание ссылки</td>
        <td class="rt"><input class="val" type="text" name="texto" id="texto" size="38" maxlength="55" title="<b>Краткое описание ссылки</b> - максимум 55 символов.<br />Заголовок должен быть коротким и понятным.<br />Соблюдайте грамматику. Небрежное написание оттолкнёт посетителей.<br /> Не пишите всё ЗАГЛАВНЫМИ БУКВАМИ, не ставьте множество однотипных<br />знаков типа: !!!!!! и т.д. После запятой правильно ставить знак пробела." /></td>
    </tr>
    <tr>
        <td class="lt">URL сайта (включая http://)</td>
        <td class="rt"><input class="val" type="text" name="url" id="url" size="38" maxlength="300" value="http://" title="<b>URL-адрес</b> ссылки должен начинаться с http:// или https://<br />и содержать не более 300 символов. Не используйте HTML-теги и Java-скрипты.<br />За попытки взлома системы, наказание - удаление аккаунта" /></td>
    </tr>
	<tr>
        <td class="lt" style="padding-top: 11px; padding-bottom: 11px;">Активное окно</td>
        <td class="rt">включено (беcплатно)</td>
    </tr>
    <tr>
        <td class="lt">Время просмотра ссылки</td>
        <td class="rt"><select class="timeselect" id="timer" name="timer" onchange="PlanChange(this.form); return false;" title="Стандартное время просмотра ссылки - 20 секунд. Можно увеличить<br />за дополнительную плату">
            <option value="6" style="color: #FF0000;">5 секунд&nbsp;&nbsp;(тариф мини)</option>
            <option value="5"  style="color: #FF0000;">10 секунд&nbsp;&nbsp;(тариф мини)</option>
			<option value="0" selected>20 секунд (стандартный тариф)</option>
            <option value="1">30 секунд&nbsp;&nbsp;(+ <?=$timer5?> <?=$sitevalname ?>)</option>
            <option value="2">40 секунд&nbsp;&nbsp;(+ <?=$timer5*2 ?> <?=$sitevalname ?>)</option>
            <option value="3">50 секунд&nbsp;&nbsp;(+ <?=$timer5*3 ?> <?=$sitevalname ?>)</option>
            <option value="4">60 секунд&nbsp;&nbsp;(+ <?=$timer5*4 ?> <?=$sitevalname ?>)</option>
            </select></td>
    </tr>
    <tr>
        <td class="lt">Выделить ссылку</td>
        <td class="rt"><select class="linkselect" id="highlight" name="highlight" onchange="PlanChange(this.form); return false;" title="Ваша ссылка будет в верхней части списка и выделена особым цветом.<br />За дополнительную плату.">
            <option value="0">Нет</option>
            <option value="1">Да&nbsp;&nbsp;(+ <?=$hldyn ?> <?=$sitevalname ?>)</option>
            </select></td>
    </tr>
    <tr>
        <td class="lt">Последующий переход на сайт</td>
        <td class="rt"><select class="onselect" id="obper" name="obper" onchange="PlanChange(this.form); return false;" title="После стандартного просмотра ссылки в серфинге производится прямой<br />переход на рекламируемый ресурс. За дополнительную плату.">
            <option value="0">Нет</option>
            <option value="1">Да&nbsp;&nbsp;(+ <?=$obperehod ?> <?=$sitevalname ?>)</option>
            </select></td>
    </tr>
    <tr>
        <td class="lt">Стоимость одного просмотра</td>
        <td class="rt"><span style='font-size: 16px;' id="summa"><?if($res['price']!='') { echo $res['price']; }else{ echo $hits; } ?></span> <?=$sitevalname ?></td>
    </tr>
</table>
</form>
<?}?>